Create
curl --request POST \
--url https://api.cadanapay.com/v1/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"legalName": "Acme Corp Ghana",
"country": "GH",
"currency": "GHS",
"entityType": "corporation",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"registrationNumber": "BN-123456",
"taxId": "TIN-789012",
"incorporationDate": "2020-01-15"
}
'import requests
url = "https://api.cadanapay.com/v1/entities"
payload = {
"legalName": "Acme Corp Ghana",
"country": "GH",
"currency": "GHS",
"entityType": "corporation",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"registrationNumber": "BN-123456",
"taxId": "TIN-789012",
"incorporationDate": "2020-01-15"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
legalName: 'Acme Corp Ghana',
country: 'GH',
currency: 'GHS',
entityType: 'corporation',
phoneNumber: {countryCode: '1', number: '2345678901'},
registrationNumber: 'BN-123456',
taxId: 'TIN-789012',
incorporationDate: '2020-01-15'
})
};
fetch('https://api.cadanapay.com/v1/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "37ad8c1e-0187-4e10-8c54-395e3385b4d2"
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Entities
Create
Create a new legal entity under the current business
POST
/
v1
/
entities
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Body
application/json
Create entity request payload
Legal name of the entity
Example:
"Acme Corp Ghana"
ISO 3166-1 alpha-2 country code
Example:
"GH"
ISO 4217 currency code
Example:
"GHS"
Legal structure type
Available options:
corporation, c-corporation, s-corporation, partnership, sole proprietorship, limited liability company, non profit, other Example:
"corporation"
Address
Show child attributes
Show child attributes
Person's phone number
Show child attributes
Show child attributes
Business registration number
Example:
"BN-123456"
Tax identification number
Example:
"TIN-789012"
Date of incorporation (YYYY-MM-DD)
Example:
"2020-01-15"
Response
Entity created
Create entity response
The unique identifier of the created entity
Example:
"37ad8c1e-0187-4e10-8c54-395e3385b4d2"
⌘I